## qemu 9.0.2+ds

=== debian/changelog ===
qemu (1:9.0.2+ds-4ubuntu5.3) oracular; urgency=medium

  * d/p/u/lp2049698/*: Add full boot order support on s390x (LP: #2049698)
  * Cherry-pick prerequisite for above backport (to avoid FTBFS):
    - d/p/u/lp2049698/0-hw-s390x-sclp.c-include-s390-virtio-ccw.h-to-make.patch
  * d/qemu-system-data.links: symlink s390-netboot.img -> s390-ccw.img for
    backwards compatibility, as the code is now combined.
  * Fix qemu-aarch64-static segfaults running ldconfig.real (LP: #2072564)
    - lp-2072564-01-linux-user-Honor-elf-alignment-when-placing-images.patch
    - lp-2072564-02-elfload-Fix-alignment-when-unmapping-excess-reservat.patch
    Thanks to Dimitry Andric for identifying the fix.

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 13 Mar 2025 17:18:50 +0100

qemu (1:9.0.2+ds-4ubuntu5.2) oracular; urgency=medium

  * d/p/u/lp-2091099-fix-9p-regression-cve-2023-2861.patch: Fix
    regression regarding CVE-2023-2861 affecting 9p filesystems.
    (LP: #2091099)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 07 Jan 2025 18:18:14 -0500

qemu (1:9.0.2+ds-4ubuntu5.1) oracular-security; urgency=medium

  * SECURITY UPDATE: denial of service
    - debian/patches/CVE-2024-4693.patch: virtio-pci: Fix the use of
      an uninitialized irqfd
    - CVE-2024-4693
  * SECURITY UPDATE: heap buffer overflow
    - debian/patches/CVE-2024-7730.patch: add max size bounds check in
      input cb
    - CVE-2024-7730

 -- Bruce Cable <bruce.cable@canonical.com>  Wed, 23 Oct 2024 19:27:58 +1100

qemu (1:9.0.2+ds-4ubuntu5) oracular; urgency=medium

  * d/rules: Revert move of helper binaries (qemu-bridge-helper,
    virtfs-proxy-helper, vhost-user-gpu) from /usr/lib/qemu/ to
    /usr/libexec/qemu/.  This was starting to cause breakages on other
    packages (libvirt, for example), and Debian went the same
    route.  This change can be dropped next cycle when QEMU is merged
    again.
    See https://salsa.debian.org/qemu-team/qemu/-/commit/f265f4788f
    for Debian's counterpart. (LP: #2079870)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 10 Sep 2024 13:35:33 -0400

qemu (1:9.0.2+ds-4ubuntu4) oracular; urgency=medium

  * Fail gracefully when hotplugging a vCPU fails on PPC. (LP: #2076587)
    - d/p/u/lp2076587-cpu-hotplug-crashes-guest-*.patch: Backport
      patches for upstream fix.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 09 Sep 2024 14:50:55 -0400

qemu (1:9.0.2+ds-4ubuntu3) oracular; urgency=medium

  * d/p/u/lp2028964-add-support-sierra-forest.patch: Add support for
    Sierra Forest CPU model. (LP: #2028964, #2077361)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 05 Sep 2024 18:50:57 -0400

qemu (1:9.0.2+ds-4ubuntu2) oracular; urgency=medium

  * d/rules: Reinstate u-boot-sam460ex rules.
  * d/rules: Unset ELF_PACKAGE_METADATA when building ROMs.
    (LP: #2077431, #2077036)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 20 Aug 2024 22:40:20 -0400

qemu (1:9.0.2+ds-4ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064422). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
  * Add changes:
    - d/qemu-block-extra.postinst: Use latest Ubuntu's QEMU
      package version when deciding whether to invoke
      'deb-systemd-helper purge'.
    - d/control-in: Disable B-D on qemu-system-data.
    - d/rules: Export DEB_BUILD_PROFILES with
      pkg.qemu.use-upstream-vdso when building on non-amd64 architectures.
    - d/rules: Temporarily disable generation of u-boot-sam460ex due
      to LP 2077036.
  * Drop changes:
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
      [ Unnecessary due to recent changes by Debian. ]
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
      [ Incoporated by Debian. ]
    - d/rules: Enable/disable extra features on microvm
      variant. (LP #2045594)
      [ Incorporated by Debian, with the addition of '--enable-vnc'
        which is necessary because otherwise it's not possible to
        interact with the microvm. ]
    - Move glusterfs storage driver to Universe in a new package
      (LP #2045063):
      + d/control{,-in}: new package qemu-block-supplemental for drivers
        we want in Universe
      + d/rules: we only want block-gluster.so in the new
        qemu-block-supplemental package. Adjust dynamically-created
        maintainer scripts for qemu-block-extra and -supplemental.
      [ Incorporated by Debian. ]

