## qemu 9.1.0+ds

=== debian/changelog ===
qemu (1:9.1.0+ds-9~exp0) experimental; urgency=medium

  * d/tests/test-qemu-img.sh: print diagnostics on ppc64el
    where the test fails (temporary)
  * d/control-in: expand Enhances: list for qemu-block-extra
    (and qemu-block-supplemental on Ubuntu)
  * make qemu-system-s390x a separate package, just like on ubuntu
  * split out qemu-system-riscv* from qemu-system-misc to qemu-system-riscv
  * d/qemu-system-misc.NEWS: add NEWS item about s390x and riscv split

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 05 Oct 2024 12:53:34 +0300

qemu (1:9.1.0+ds-8) unstable; urgency=medium

  * d/qemu-user.lintian-overrides: add statically-linked-binary override
    for all qemu-* binaries
  * d/rules: specify -m for each install invocation, and use -m consistently
  * d/tests/test-qemu-user: rewrite, install and run busybox for all release
    architectures.  Remove superficial restriction - it is now a real test
  * d/patches/linux-user-elf-endianness.diff: temp/test patch
    to address #1081850

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 01 Oct 2024 11:35:40 +0300

qemu (1:9.1.0+ds-7) unstable; urgency=medium

  * d/qemu-system-misc.links: remove escaped newlines, swap order (again!)
    (Closes: #1082771)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 26 Sep 2024 15:31:31 +0300

qemu (1:9.1.0+ds-6) unstable; urgency=medium

  * d/qemu-system-misc.links: fix the order of source/destination pairs
    (Closes: #1082771)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 26 Sep 2024 05:49:22 +0300

qemu (1:9.1.0+ds-5) unstable; urgency=medium

  * d/control: fix opensbi dependency (missing tilde)
    (Closes: #1082750)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 25 Sep 2024 19:35:14 +0300

qemu (1:9.1.0+ds-4) unstable; urgency=medium

  * d/control: fix typo in comment, add comment
  * d/control: s/Built-Using/Static-Built-Using/ for qemu-user (static build)
    (this should allow qemu to migrate to testing much more easily)
  * stop building opensbi firmware, use packaged version (Closes: #1058905)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 25 Sep 2024 13:50:06 +0300

qemu (1:9.1.0+ds-3) unstable; urgency=medium

  * revert the move of the helper binaries (qemu-bridge-helper,
    virtfs-proxy-helper, vhost-user-gpu) to /usr/libexec/qemu/,
    moving them back to /usr/lib/qemu/ where they had always been.
    This restores suid-root dpkg-statoverride for qemu-bridge-helper if the
    user enabled it, and makes common tools like libvirt to work correctly
    again.  Such change needs more thinking. Closes: #1080456.
  * d/microvm-devices.mak: disable VIRTIO_MEM and VIRTIO_PMEM devices
    These are PCI-only devices but PCI is disabled for microvm.
  * d/patches: remove revert-hw-virtio-move-stubs-out-of-stubs.patch after
    disabling virtio-mem and virtio-pmem.
  * d/microvm-devices.mak: disable Q35 machine type now when it is possible
    (in version 6.1 where microvm has been enabled it didn't work).
  * d/qemu-user-static.NEWS: write a news entry about qemu-user-static
    merge to qemu-user package
  * d/changelog: mention closing of #1079603 by 9.1.0+ds-1 (qemu-user merge)
  * d/changelog: fix a typo in old (7.2+dfsg-4) entry
  * d/changelog: remove duplicate entries from 9.0.2+ds-2 log
  * d/rules: disable tests on sparc64 (it fails there)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 06 Sep 2024 14:33:28 +0300

qemu (1:9.1.0+ds-2) unstable; urgency=medium

  * d/binfmt-install: do not install old/compat binfmt symlinks
    for qemu-user-binfmt package (there was none) (fixes FTBFS)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 05 Sep 2024 08:31:03 +0300

qemu (1:9.1.0+ds-1) unstable; urgency=medium

  * new upstream release (9.1):
   - debian/gbp.conf: switch to 9.1 (experimental)
   - remove patches which are applied upstream:
     nbd-server-CVE-2024-7409-*
     scsi-fix-regression-and-honor-bootindex-again-for-le.patch
     virtio-net-Ensure-queue-index-fits-with-RSS-CVE-2024-6505.patch
     virtio-pci-Fix-the-use-of-an-uninitialized-irqfd.patch
   - cap-OPEN_MAX.diff: remove, not needed anymore (new code is different)
   - d/rules: stop --disable-pvrdma (it is removed)
   - d/control: bump meson build dep to >>1.1.0
   - d/control: drop version requirement for libpipewire
   - d/rules,d/control.mk: remove nios2 targets (dropped upstream)
   - revert-hw-virtio-move-stubs-out-of-stubs.patch: temp,
   - to work around upstream minimal microvm build breaklage
   - d/rules: install (x86-specific) qemu-vmsr-helper
     (binary and systemd units)
  * d/rules: switch system manpages from symlinks back to .so
    (cross-package symlinks to manpages are not handled by dh_installman)
  * merge qemu-user-static binaries into qemu-user package, making
    making qemu-user-static to be a helper/compatibility/transitional only:
   - d/binfmt-install: work on fixed packages
   - d/rules: expand $(install-user)
   - d/rules: move user-alias-* definitions closer to usage
   - d/rules install -static compat symlinks for qemu-user-static package
   - d/source/lintian-overrides: add unusual-field-spacing: Breaks
   - d/binfmt-install: little rework for $omit handling
   - d/binfmt-install: ship links to native-family binfmts in
     /usr/share/doc/$pkg for compatibility with 8.0..9.1~
   Closes: #1079603

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 05 Sep 2024 00:16:01 +0300

qemu (1:9.0.2+ds-7) unstable; urgency=medium

  * d/rules: make check actually needs system (disable testsuite if !system)
  * d/patches/gnu-hurd.patch: add IOV_MAX define too
  * d/rules: add mandir and man1dir variables to shorten things
  * d/rules: simplify/streamline install-system macro a little bit
  * d/rules: install-system macro: no need for leading tabs
  * d/binfmt-install: omit loongarch64 binfmt on loong64 (Closes: #1080085)
  * d/rules: use meson instead of make to run tests
  * d/rules: increase test timeout by a factor of 2 on riscv64 build

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 31 Aug 2024 08:56:40 +0300


