=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
-# autogenerated file, please edit debian/control-in
+# autogenerated file from debian/control-in
 Source: qemu
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
  python3:any,
  python3-venv:any,
  python3:any (>> 3.11) | python3-tomli,
- meson (>> 0.63.0~), ninja-build,
+ meson (>> 1.1.0~), ninja-build,
  flex, bison,
 # for :native suffix see #995622
  python3-sphinx:native, python3-sphinx-rtd-theme:native,
@@ -24,16 +23,17 @@
 # iasl (from acpica-tools) is used only in a single test these days, not for building
 # acpica-tools,
 # libcapstone is in universe in ubuntu
+# --enable-capstone
+ libcapstone-dev,
 # --enable-linux-aio	linux-any
  libaio-dev            [linux-any],
 # libsndio is in universe in ubuntu
 # --disable-sndio
 # --audio-drv-list=pipewire,pa,alsa,jack,oss,sdl	amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
-##--audio-drv-list=pa,oss	kfreebsd-any
  libjack-dev    [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
  libpulse-dev   [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
  libasound2-dev [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
- libpipewire-0.3-dev (>> 0.3.60) [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
+ libpipewire-0.3-dev [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
 # for virtfs (now in libc6)
 # --enable-attr
 # --enable-bpf	 amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
@@ -88,8 +88,8 @@
  libseccomp-dev        [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64 ppc64el powerpc riscv64 s390x],
 # --enable-slirp	 amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
  libslirp-dev		[amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
-# --enable-spice	 amd64 arm64 armel armhf i386 mips64el mipsel ppc64el
- libspice-server-dev	[amd64 arm64 armel armhf i386 mips64el mipsel ppc64el],
+# --enable-spice	 amd64 i386 arm64 armel armhf mips64el mipsel ppc64el
+ libspice-server-dev	[amd64 i386 arm64 armel armhf mips64el mipsel ppc64el],
 # --enable-rdma		linux-any
  librdmacm-dev [linux-any], libibverbs-dev [linux-any], libibumad-dev [linux-any],
 # --enable-linux-io-uring	linux-any
@@ -103,6 +103,8 @@
 # --enable-zstd
  libzstd-dev,
 # vde is debian-only since ubuntu/vde2 is in universe
+# --enable-vde	 amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
+ libvdeplug-dev	[amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
  libxen-dev [linux-amd64],
 # --enable-nettle	 amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
  nettle-dev		[amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
@@ -125,26 +127,17 @@
 ## auth-pam - for auth for vnc&Co using PAM
 #
 # the testsuite:
-#XXX-cyclic-test-dep-dak-bug seabios [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64] <!nocheck>,
 # ipxe-qemu [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64] <!nocheck>,
-# various firmware files (kvmvapic.bin &Co), older qemu-system-data should work
-#XXX-cyclic-test-dep-dak-bug qemu-system-data [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64] <!nocheck>,
-# vdso: by default Build-Depend-Arch on qemu-system-data with vdso-archive inside
-#  pkg.qemu.use-upstream-vdso - always use upstream pre-built linux-user/vdso files,
-#     do not embed vdso files into qemu-system-data binary package
-#  pkg.qemu.omit-vdso-build-dep - do not Build-Depend-Arch: qemu-user-data for vdso
-#     (allows to build and use vdso files with single arch+indep build)
-# With each upstream, check if vdso code changed and bump the version:
-Build-Depends-Indep:
-# compiler used to build i386 firmware
- gcc-i686-linux-gnu,
-# pc-bios/*.dts => *.dtb (PPC firmware)
- device-tree-compiler,
- gcc-s390x-linux-gnu,
-# qemu-palcode/palcode-clipper
- gcc-alpha-linux-gnu,
-# u-boot code
- gcc-powerpc-linux-gnu,
-# skiboot firmware, openbios
- gcc-powerpc64-linux-gnu,
-# skiboot includes <openssl/something.h>
+ seabios (>> 1.16.3-1~) [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64] <!nocheck>,
+ qemu-system-data (>> 1:9.0) [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64] <!nocheck>,
+#
+# vdso: for linux-user, we need small arch-specific .so files to embed them
+#       into linux-user for many architectures.
+#    On debian, arch and indep parts are built separately, and cross-compilers
+#    to build all vdsos aren't available on all architectures.  So we build a
+#    tarball of them in indep build and place it in qemu-system-data.  When
+#    building both arch+indep parts in one go, d/rules has magic to always
+#    (re)build vdso files and use the result immediately.
+#  pkg.qemu.use-upstream-vdso - always use upstream pre-built vdso files,
+#    do not embed vdso files into qemu-system-data binary package
+#  pkg.qemu.omit-vdso-build-dep - do not Build-Depend-Arch: qemu-system-data for
